/****************************************************************
 *
 * kernel/include/mutex.h
 * mutex defines for AWOS Kernel
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ****************************************************************/

#ifndef __AWOS_MUTEX_H_
#define __AWOS_MUTEX_H_

#include <kernel.h>

BOOL MxGetMutex(uint32_t);
BOOL MxIsMutexed(uint32_t);
void MxReleaseMutex(uint32_t);

#define MUTEX_MEM	1
#define MUTEX_DISK	2
#define MUTEX_NET	3
#define MUTEX_DMA	4
#define MAX_MUTEX MUTEX_DMA

#endif

