/***************************************************************
 *
 * kernel/arch/ppc-open/include/portio.h
 * PowerPC port I/O functions for AWOS
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 ***************************************************************/

#ifndef ___PPC_PORTIO_H_
#define ___PPC_PORTIO_H_

#include <stdint.h>

static inline void outb(int16_t port, int8_t byte)
{
	(void)port;
	(void)byte;
	return;
};

static inline void outw(int16_t port, int16_t word)
{
	(void)port;
	(void)word;
	return;
};

static inline void outd(int16_t port, int32_t word)
{
	(void)port;
	(void)word;
	return;
};

static inline uint8_t inb(int16_t port)
{
	(void)port;
	return 0;
};

static inline uint16_t inw(int16_t port)
{
	(void)port;
	return 0;
};

static inline uint32_t ind(int16_t port)
{
	(void)port;
	return 0;
};

static inline void cli(void)
{
	return;
}

static inline void sti(void)
{
	return;
};

#endif /* !___PPC_PORTIO_H_ */

