/****************************************************************
 * 
 * arch/ppc-open/start.S
 * Entry point for AWOS kernel on Open Firmware-based PowerPCs
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ****************************************************************/

/********** BSS **********/
.section ".bss"
.globl __stack_bottom
.globl __stack_top
__stack_bottom:
	.lcomm _stack, 4096, 16
__stack_top:

/********** CODE **********/
.section ".text"
.align 16

.globl _start
_start:
	/* Let it have some stack (r1 is the PPC equiv of x86 SS) */
	lis	%r1, __stack_top@ha
	ori	%r1, %r1, __stack_top@l
	addi	%r1, %r1, -32		/* xxx: what's this for? */

	/* I have no idea what this does, I was told to do it. */
	li	%r2, 0
	li	%r13,0

	li	%r3, %r5	/* A hacky way to get the OFI addr into C */
	li	%r4, 1		/* The arch we're using. */

	b 	k_main		/* Branch to our C code and leave this stub */

	/* More kludges! */
.globl exit
exit:	b exit

.globl yield
yield:	b yield

.globl csleep
csleep:	b csleep

.globl KiRestart
KiRestart:	b KiRestart

.globl KiIrqInstall
KiIrqInstall:	b KiIrqInstall

.globl SerDetectUart
SerDetectUart:	b SerDetectUart
