/****************************************************************
 *
 * kernel/cxx-support.cxx
 * C++ support functions for AWOS Kernel
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ****************************************************************/

extern "C"
{
	#include <kernel.h>
	#include <kalloc.h>
	#include <sys/types.h>
}

void *operator new(size_t size)
{
	return kmalloc(size);
}

void operator delete(void *obj)
{
	kfree(obj);
}

extern "C" void __cxa_pure_virtual(void)
{
	panic("pure virtual function call");
}

