/****************************************************************

include/sys/types.h
POSIX-compliant type declarations for AWOS

See the LICENSE file included with this source for copyright
information.

****************************************************************/

#ifndef ____SYS_TYPES_H_
#define ____SYS_TYPES_H_

#include <stdint.h>

#if defined(__GNUC__) 
typedef __SIZE_TYPE__ size_t;
#else
typedef uint32_t	size_t;
#endif
typedef int32_t		ssize_t;

typedef int     off_t;
typedef off_t   __off_t;          /* file offset */
typedef off_t   fpos_t;

typedef char BOOL;
#define TRUE 1
#define FALSE 0

#define NULL 0		/* XXX is this in sys/types? */

#endif

