/***************************************************************
 *
 * libc/wchar.h
 * stdc library, wchar book
 * wide-character library for AWOS
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 ***************************************************************/

#ifndef __LIBC_WCHAR_H_
#define __LIBC_WCHAR_H_

/* All of these headers _may_ be included per IEEE Std 1003.1, 2004 */
//#include <ctype.h>
#include <string.h>
//#include <stdarg.h>
#include <stddef.h>
#include <stdint.h>
//#include <stdio.h>
#include <stdlib.h>

typedef uint16_t wchar_t;

#define WCHAR_MAX 0xFFFF
#define WCHAR_MIN 0x0

wchar_t		*wmemcpy(wchar_t *, const wchar_t *, size_t);
wchar_t		*wmemset(wchar_t *, wchar_t, size_t);

#endif /* !__LIBC_WCHAR_H_ */

