/****************************************************************
 *
 * libc/unistd/rand.c
 * stdc library, unistd book, rand chapter
 * for AWOS
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 ***************************************************************/

// This should probably be in the stdlib book.
// Problem is, there is no stdlib book yet.

#include <unistd.h>
#include <stdlib.h>
#include <stdint.h>

uint32_t randseed_core = 1, randseed_timer = 1;

void rand_tick(void)
{
	randseed_timer = (randseed_timer * 1664525 + 1013904223);
};

int rand(void)
{
	randseed_core = (randseed_core * 1103515245 + 12345);
	
	return (int)(randseed_core ^ randseed_timer) & 0x7FFFFFFF;
};
