/***************************************************************
 *
 * libc/stdlib.h
 * standard library header for AWOS libc
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 ***************************************************************/

#ifndef __LIBC_STDLIB_H_
#define __LIBC_STDLIB_H_

#include <sys/types.h>

void *malloc(size_t);
void *calloc(size_t);
void free(void *);

int rand(void);

#endif /* !__LIBC_STDLIB_H_ */
