/****************************************************************
 *
 * libc/string/memset.c
 * stdc library, string book, memset chapter
 * for AWOS
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ***************************************************************/

#include <string.h>

void *memset(void *s, int c, size_t n)
{
	int8_t *a;
	a = (int8_t *)s;
	for(;n>0;n--)
		*(a++) = c;
	return s;
};

void *memcpy(void *v1, const void *v2, size_t n)
{
	char *a, *b;
	a = (char *)v1;
	b = (char *)v2;
	for(;n>0;n--)
		*(a++) = *(b++);
	return v1;
};

